"use client";
import { __exports as r } from "../../../../../_virtual/isIndex.js";
var t;
function I() {
  return t ? r : (t = 1, (function(n) {
    Object.defineProperty(n, Symbol.toStringTag, { value: "Module" });
    const s = /^(?:0|[1-9]\d*)$/;
    function i(e, o = Number.MAX_SAFE_INTEGER) {
      switch (typeof e) {
        case "number":
          return Number.isInteger(e) && e >= 0 && e < o;
        case "symbol":
          return !1;
        case "string":
          return s.test(e);
      }
    }
    n.isIndex = i;
  })(r), r);
}
export {
  I as __require
};
